联系站长 会员登录
当前位置: 主页 > 护卫神产品操作指南 > 护卫神·PHP套件那么多,我该怎么选择?

护卫神·PHP套件那么多,我该怎么选择?

最后更新时间:2016-02-28 10:13 来源:原创 责编:林千城 点击:纠错
 
护卫神·PHP套件 是一款自动安装PHP+MySQL+Zend+PhpMyadmin的免费软件;无须任何专业知识,也能轻松在服务器上配置PHP环境。
前置知识:IIS的基本操作,因为本套件是基于IIS,站点是在IIS里面建立。So,别问网站文件该放在哪个目录。
安装前提:2003系统,安装好IIS6.0;2008,2012安装好IIS7+,安装的时候勾选上 IIS6兼容,如果不知道怎么开启,百度一下。
ISAPI,FastCGI 的区别,参见http://www.williamlong.info/archives/1846.html
我的建议是,Win2003用ISAPI,其余FastCGI。【全部下载地址:http://www.huweishen.com/soft/php/
版本选择:
1、问:我的系统是Win2003,32位,选择哪一个版本?
o、答:建议,ISAPI版(PHP5.2.17)。
 
2、问:我的系统是Win2003,64位,选择哪一个版本?
o、答:建议,ISAPI版(PHP5.2.17)。
 
3、问:我的系统是Win2008,32位,选择哪一个版本?
o、答:建议,ISAPI版(PHP5.2.17)。
 
4、问:我的系统是Win2008,64位,选择哪一个版本?
o、答:FastCGI版(PHP5.5.25、PHP5.6.9),但不带Zend解密。【什么是Zend解密
o、另:若程序需要ZEND解密,可选FastCGI版(PHP5.3.28),或FastCGI版(PHP5.4.41)。
 
5、问:我的系统是Win2008 R2,64位,选择哪一个版本?
6、问:我的系统是Win2012 R2,64位,选择哪一个版本?
o、答:FastCGI版(PHP5.5.25、PHP5.6.9),但不带Zend解密。【什么是Zend解密
o、另:若程序需要ZEND解密,可选FastCGI版(PHP5.3.28),或FastCGI版(PHP5.4.41)。

系统是32位,PHP只能装32位。
系统是64位,PHP建议装64位,如果需要装32位的时候,需要开启程序池的32位支持。
开启程序池的32位支持的教程:http://www.iszip.com/post/32bitapppool.html
 
另外,
ISAPI版(PHP5.2.17),
FastCGI版(PHP5.2.17),
FastCGI版(PHP5.3.28),
FastCGI版(PHP5.4.41),
测试是以上所列系统均可安装,您只需要根据您网站程序需要选择PHP版本即可,比如某程序需要PHP 5.3+。

什么是Zend解密
有些程序用Zend加密了的,如果不装Zend解密模块,就会无法运行,一片乱码。
PHP5.2.17所用的Zend解密模块是:Zend Optimizer;
PHP5.3以后所用的Zend解密模块是:Zend Guard Loader。
截止发文,尚未发现支持64位PHP的Zend Guard Loader……
 
最后提一下,套件的意思是 将 PHP  MySQL PHPMyadmin 放在一起 一次性安装,(CTRL+A)。感谢您阅读到这里,给您32个赞。
正常情况下就会直接安装成功,
如果没有成功,可能服务器有不正常的设置(如没开启IIS6兼容)或者服务器有问题(如精简系统),比如MySQL没有卸载干净……
 
赞一个
(0)
0%
踩一下
(0)
0%

护卫神·入侵防护系统,新安装基

一、【开启实时监控】 a、添加网站所在目录到木马查杀实时监控里面。 b、监控文件类型可以修改为:asp|aspx|php|asa|js|cdx|asax|cer|jpg|gif|pn... [查看全文]